Extending Qt Creator Manual | QtStyleCodeFormatter

Extending Qt Creator Manual 4.5.2

# QtStyleCodeFormatter Class

(QmlJS::QtStyleCodeFormatter)

Inherits: | QmlJS::CodeFormatter

- List of all members, including inherited members

## Public Functions

| QtStyleCodeFormatter()
void | setIndentSize(int size)

- 6 public functions inherited from QmlJS::CodeFormatter

## Protected Functions

void | adjustIndent(const QList<QmlJS::Token> &tokens, int lexerState, int *indentDepth) const override

## Reimplemented Protected Functions

virtual void | onEnter(int newState, int *indentDepth, int *savedIndentDepth) const override

- 18 protected functions inherited from QmlJS::CodeFormatter

## Member Function Documentation

### QtStyleCodeFormatter::QtStyleCodeFormatter()

Default constructs an instance of QtStyleCodeFormatter.

### `[protected]` void QtStyleCodeFormatter::adjustIndent(const QList<QmlJS::Token> &tokens, int lexerState, int *indentDepth) const

### `[override virtual protected]` void QtStyleCodeFormatter::onEnter(int newState, int *indentDepth, int *savedIndentDepth) const

### void QtStyleCodeFormatter::setIndentSize(int size)